public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-embedded/avrdude/
Date: Wed,  2 Aug 2017 10:08:17 +0000 (UTC)	[thread overview]
Message-ID: <1501668481.4af0440bc97d37ee297e07e851912c15f7c37474.xmw@gentoo> (raw)

commit:     4af0440bc97d37ee297e07e851912c15f7c37474
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 10:08:01 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 10:08:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4af0440b

dev-embedded/avrdude: Add live ebuild as requested (bug 453426).

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-embedded/avrdude/avrdude-9999.ebuild | 71 ++++++++++++++++++++++++++++++++
 dev-embedded/avrdude/metadata.xml        | 10 ++---
 2 files changed, 76 insertions(+), 5 deletions(-)

diff --git a/dev-embedded/avrdude/avrdude-9999.ebuild b/dev-embedded/avrdude/avrdude-9999.ebuild
new file mode 100644
index 00000000000..f483079be8f
--- /dev/null
+++ b/dev-embedded/avrdude/avrdude-9999.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools subversion toolchain-funcs
+
+DESCRIPTION="AVR Downloader/UploaDEr"
+HOMEPAGE="https://savannah.nongnu.org/projects/avrdude"
+ESVN_REPO_URI="svn://svn.savannah.nongnu.org/avrdude/trunk/avrdude"
+MY_DOC_PV=6.3
+SRC_URI="
+	doc? (
+		mirror://nongnu/${PN}/${PN}-doc-${MY_DOC_PV}.tar.gz
+		mirror://nongnu/${PN}/${PN}-doc-${MY_DOC_PV}.pdf
+	)"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc ftdi ncurses readline"
+
+RDEPEND="virtual/libusb:1
+	virtual/libusb:0
+	ftdi? ( dev-embedded/libftdi:= )
+	ncurses? ( sys-libs/ncurses:0= )
+	readline? ( sys-libs/readline:0= )"
+DEPEND="${RDEPEND}"
+
+DOCS="AUTHORS ChangeLog* NEWS README"
+
+src_unpack() {
+	default
+	subversion_src_unpack
+}
+
+src_prepare() {
+	default
+
+	# let the build system re-generate these, bug #120194
+	rm -f lexer.c config_gram.c config_gram.h || die
+
+	eautoreconf
+}
+
+src_configure() {
+	# somehow this doesnt get set when cross-compiling and breaks build
+	tc-export AR
+	export ac_cv_lib_ftdi_ftdi_usb_get_strings=$(usex ftdi)
+	export ac_cv_lib_ncurses_tputs=$(usex ncurses)
+	export ac_cv_lib_readline_readline=$(usex readline)
+	default
+}
+
+src_compile() {
+	# The automake target for these files does not use tempfiles or create
+	# these atomically, confusing a parallel build. So we force them first.
+	emake lexer.c config_gram.c config_gram.h
+	emake
+}
+
+src_install() {
+	default
+
+	if use doc ; then
+		newdoc "${DISTDIR}/${PN}-doc-${MY_DOC_PV}.pdf" avrdude.pdf
+		dodoc -r "${WORKDIR}/avrdude-html/"
+
+		dodoc -r atmel-docs
+	fi
+}

diff --git a/dev-embedded/avrdude/metadata.xml b/dev-embedded/avrdude/metadata.xml
index 45b33eaf46c..499cad808fd 100644
--- a/dev-embedded/avrdude/metadata.xml
+++ b/dev-embedded/avrdude/metadata.xml
@@ -2,10 +2,10 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<maintainer type="project">
- <email>embedded@gentoo.org</email>
- <name>Embedded Gentoo</name>
+		<email>embedded@gentoo.org</email>
+		<name>Embedded Gentoo</name>
 	</maintainer>
-<use>
- <flag name="ftdi">Enable support for USB FTDI chips via <pkg>dev-embedded/libftdi</pkg></flag>
-</use>
+	<use>
+		<flag name="ftdi">Enable support for USB FTDI chips via <pkg>dev-embedded/libftdi</pkg></flag>
+	</use>
 </pkgmetadata>


             reply	other threads:[~2017-08-02 10:08 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-02 10:08 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-14  8:06 [gentoo-commits] repo/gentoo:master commit in: dev-embedded/avrdude/ Viorel Munteanu
2024-07-13 19:05 Sam James
2024-07-13 15:31 Arthur Zamarin
2024-07-13 15:18 Arthur Zamarin
2024-07-13 10:27 Arthur Zamarin
2024-07-13  9:58 Arthur Zamarin
2024-01-04  8:21 Matthew Smith
2024-01-02 18:59 Matthew Smith
2022-09-09  9:48 Matthew Smith
2022-08-25 18:25 Agostino Sarubbo
2022-08-25 18:15 Agostino Sarubbo
2022-08-25  4:02 Arthur Zamarin
2022-08-25  4:02 Arthur Zamarin
2022-08-25  3:33 Sam James
2022-08-24 21:03 Matthew Smith
2022-08-24 19:08 Matthew Smith
2022-08-20 11:40 Andreas Sturmlechner
2022-07-11 16:32 Arthur Zamarin
2022-07-10 18:22 Arthur Zamarin
2022-07-10 18:04 Arthur Zamarin
2022-07-10  7:46 Matthew Smith
2022-07-10  7:46 Matthew Smith
2022-02-07 13:31 Jakov Smolić
2022-02-06  8:05 Agostino Sarubbo
2022-02-06  8:04 Agostino Sarubbo
2022-02-06  7:35 Sam James
2022-02-05 21:09 Jakov Smolić
2021-11-12  2:02 Sam James
2021-10-07 18:54 Jakov Smolić
2021-10-07 18:54 Jakov Smolić
2017-08-02  9:52 Michael Weber
2016-12-24 10:26 Agostino Sarubbo
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-18 15:57 Agostino Sarubbo
2016-12-18 15:44 Agostino Sarubbo
2016-12-09  8:44 Tim Harder
2016-12-09  8:41 Tim Harder
2016-09-04 22:43 Manuel Rüger
2016-01-10  9:47 Sven Wegener
2016-01-10  9:47 Sven Wegener

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1501668481.4af0440bc97d37ee297e07e851912c15f7c37474.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox